Skip to content
Last updated

GetAutomationLog

Get Automation Task Log.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"GetAutomationLog"Required
startdatestringDefaults to todayOptional
enddatestringDefaults to todayOptional
namespacestringOptional filter for a specific namespaceOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
currentDatetimestringThe current system datetime.
lastDailyCronInvocationTimestringThe last daily cron invocation time.
startdatestringThe start date/time filter applied
enddatestringThe end date/time filter applied
statisticsarrayThe log output, grouped by date and namespace

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'GetAutomationLog',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'startdate' => '2016-11-01',
            'enddate' => '2016-11-07',
            'namespace' => 'createinvoices',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'GetAutomationLog';
$postData = array(
    'startdate' => '2016-11-01',
    'enddate' => '2016-11-07',
    'namespace' => 'createinvoices',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "currentDatetime": "2016-11-09 15:37:58",
    "lastDailyCronInvocationTime": "2016-11-09 11:00:00",
    "startdate": "2016-11-01 00:00:00",
    "enddate": "2016-11-07 23:59:59",
    "statistics": "...."
}

Version History

VersionChangelog
1.0Initial Version